PulseAudio 16.1

Typedefs | Functions
glib-mainloop.h File Reference

GLIB main loop support. More...

Go to the source code of this file.

## Typedefs
typedef struct pa_glib_mainloop | pa_glib_mainloop
| An opaque GLIB main loop object. More...

## Functions
pa_glib_mainloop * | pa_glib_mainloop_new (GMainContext *c)
| Create a new GLIB main loop object for the specified GLIB main loop context. More...
void | pa_glib_mainloop_free (pa_glib_mainloop *g)
| Free the GLIB main loop object. More...
pa_mainloop_api * | pa_glib_mainloop_get_api (pa_glib_mainloop *g)
| Return the abstract main loop API vtable for the GLIB main loop object. More...

## Detailed Description

GLIB main loop support.

See also GLIB Main Loop Bindings

## Typedef Documentation

## ◆ pa_glib_mainloop

typedef struct pa_glib_mainloop pa_glib_mainloop

An opaque GLIB main loop object.

## Function Documentation

## ◆ pa_glib_mainloop_free()

void pa_glib_mainloop_free | ( | pa_glib_mainloop * | g | ) |

Free the GLIB main loop object.

## ◆ pa_glib_mainloop_get_api()

pa_mainloop_api * pa_glib_mainloop_get_api | ( | pa_glib_mainloop * | g | ) |

Return the abstract main loop API vtable for the GLIB main loop object.

No need to free the API as it is owned by the loop and is destroyed when the loop is freed.

## ◆ pa_glib_mainloop_new()

pa_glib_mainloop * pa_glib_mainloop_new | ( | GMainContext * | c | ) |

Create a new GLIB main loop object for the specified GLIB main loop context.

Takes an argument c for the GMainContext to use. If c is NULL the default context is used.